
rem Set these for your as appropriate for your system
set JDIR=C:\j2sdk1.4.2_05
set TOOLSLIB="C:\j2sdk1.4.2_05\lib\tools.jar"
set BASEDIR=C:\NetDownloads\JavaQuat209

rem These are derived from the above
set JAR=%JDIR%\bin\jar
set JAVAC="%JDIR%\bin\javac"
set BINDIR=%BASEDIR%\bin
set LIBDIR=%BASEDIR%\lib
set SRCDIR=JavaQuat20
set LOOPDIR=%SRCDIR%\FractalLoops
set ENCDIR=%SRCDIR%\GIFEncoderPkg
set DECDIR=%SRCDIR%\GIFDecoderPkg

set JFLAGS=-g

set JARFILE=lib\EXEC-URLSucker.jar
set MANIFESTFILE=URLSucker.MF

rem Delete old class files
pushd %LIBDIR%
popd
pushd %BASEDIR%\
pushd %ENCDIR%
del *.class
popd
pushd %DECDIR%
del *.class
popd
pushd %LOOPDIR%
del *.class
popd
pushd %SRCDIR%
del *.class
popd

rem now in  %BASEDIR%

echo COMPILING...
rem %JAVAC% %JFLAGS% -d classes -classpath %TOOLSLIB% %SRC%
%JAVAC% %JFLAGS% -classpath "%TOOLSLIB%;." %SRCDIR%\URLSucker.java

echo JAR-ing...
del %JARFILE%
"%JAR%" cmf %MANIFESTFILE% %JARFILE% %SRCDIR%\*.class
popd

rem echo Installing...
pushd c:\WINDOWS\system32
del c:\WINDOWS\system32\URLSucker.bat
echo java -Xdebug -Xnoagent "-Djava.compiler=NONE" "-Xrunjdwp:transport=dt_shmem,server=y" -jar %BASEDIR%\%JARFILE% > c:\WINDOWS\system32\URLSucker.bat
popd

pause
