package JavaQuat20;

import java.awt.*;
import java.awt.event.*;


public class UrlDialog extends Dialog
{
  TextField textField_;
  protected static String lastValue_ = null;

  public UrlDialog (String title, Frame jQFrame)
  {
    super(jQFrame, title, true);
    setLayout(new GridLayout(2, 1, 4, 10));
    textField_ = new TextField(40);
    add(textField_);
    Panel buttonBox = new Panel();
    add(buttonBox);
    buttonBox.setLayout(new GridLayout(1, 4, 4, 4));
    buttonBox.add(new Label());
    buttonBox.add(new Label());
    Button oK = new Button("OK");
    oK.addActionListener(new OKLNR());
    buttonBox.add(oK);
    Button cancel = new Button("CANCEL");
    cancel.addActionListener(new CancelLNR());
    buttonBox.add(cancel);
    setSize(400, 80);
    if (lastValue_ != null) {
      setText(lastValue_);
    }
    validate();
  }
  
  public String getText ()
  {
    while (isVisible()) {
      try {
        Thread.sleep(500);
      } catch (Throwable e) {}
    }
    return textField_.getText();
  }
  
  public void setText (String initialString)
  {
    textField_.setText(initialString);
  }
  
  /* -------------- Listeners ------------------ */
  
  class OKLNR implements ActionListener
  {
    public void actionPerformed (ActionEvent e)
    {
      setVisible(false);
      lastValue_ = getText();
    } 
  }
  
  class CancelLNR implements ActionListener
  {
    public void actionPerformed (ActionEvent e)
    {
      setVisible(false);
      textField_.setText("");
    }  
  }

}
